Skip to main content
GET
/
api
/
v1
/
project-templates
/
{templateId}
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/project-templates/{templateId}
import requests

url = "https://us.infisical.com/api/v1/project-templates/{templateId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://us.infisical.com/api/v1/project-templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "projectTemplate": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "roles": [
      {
        "name": "<string>",
        "slug": "<string>",
        "permissions": [
          {
            "action": "<string>",
            "subject": "<string>",
            "conditions": "<unknown>",
            "inverted": true
          }
        ]
      }
    ],
    "environments": [
      {
        "name": "<string>",
        "slug": "<string>",
        "position": 2
      }
    ],
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "projectManagedIdentities": [
      {
        "name": "<string>",
        "roles": [
          "<string>"
        ]
      }
    ],
    "users": [
      {
        "username": "<string>",
        "roles": [
          "<string>"
        ]
      }
    ],
    "groups": [
      {
        "groupSlug": "<string>",
        "roles": [
          "<string>"
        ]
      }
    ],
    "identities": [
      {
        "identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "identityName": "<string>",
        "roles": [
          "<string>"
        ]
      }
    ],
    "description": "<string>",
    "type": "secret-manager"
  }
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Path Parameters

templateId
string<uuid>
required

Response

Default Response

projectTemplate
object
required